#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/ggtool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

EXTHDRS	      = $(INCDIR)/gziwrk.F \
		$(INCDIR)/gzsize.F

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = ggaxes.o \
		ggaxis.o \
		ggaxix.o \
		ggaxsz.o \
		ggcntr.o \
		ggmaps.o \
		ggcton.o \
		ggcurv.o \
		gglay1.o \
		gglay2.o \
		gglay3.o \
		gglint.o \
		ggmark.o \
		ggopen.o \
		ggpdsc.o \
		ggpget.o \
		ggscat.o \
		ggston.o \
		ggtone.o \
		ggtons.o \
		ggvect.o

SRCS	      = ggaxes.F \
		ggaxis.F \
		ggaxix.F \
		ggaxsz.F \
		ggcntr.F \
		ggmaps.F \
		ggcton.F \
		ggcurv.F \
		gglay1.F \
		gglay2.F \
		gglay3.F \
		gglint.F \
		ggmark.F \
		ggopen.F \
		ggpdsc.F \
		ggpget.F \
		ggscat.F \
		ggston.F \
		ggtone.F \
		ggtons.F \
		ggvect.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/ggtool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)

###
ggaxes.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
ggaxis.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
ggaxix.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
ggaxsz.o: $(INCDIR)/gzsize.F
ggcurv.o: $(INCDIR)/gziwrk.F
gglay1.o: $(INCDIR)/gzsize.F
gglay2.o: $(INCDIR)/gzsize.F
gglay3.o: $(INCDIR)/gzsize.F
gglint.o: $(INCDIR)/gzsize.F
ggmaxs.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
ggmark.o: $(INCDIR)/gziwrk.F
ggpdsc.o: $(INCDIR)/gzsize.F
